function tradeshare = construct_tradeshare_go(trademat, gdp)

Ncntry = length(gdp);
tradeshare = zeros(Ncntry,Ncntry);
denominator = zeros(Ncntry,1);
total_exports = zeros(Ncntry,1);
total_imports = zeros(Ncntry,1);


for cntry = 1:Ncntry
    
    total_exports(cntry,1) = sum(trademat(cntry,:));
    total_imports(cntry,1) = sum(trademat(:,cntry));
    denominator(cntry,1)=gdp(cntry);
    tradeshare(:,cntry) = trademat(:,cntry)./(denominator(cntry,1));
    tradeshare(cntry,cntry) = 1 - sum(tradeshare(:,cntry));
    
end
    
    